Name:           xstar
Version:        2.2.0
Release:        5%{?dist}
Summary:        Program that simulates the movement of stars

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://www.schlitt.net/xstar/
Source0:        http://www.schlitt.net/xstar/%{name}.tar.gz
Source10:	%{name}.conf
Source11:	%{name}.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel
BuildRequires:  imake
BuildRequires:  libXext-devel

%description
XStar is a Unix program that simulates the movement of stars. It starts by
putting a bunch of stars on the screen, and then it lets the inter-body
gravitational forces move the stars around. The result is a lot of neat
wandering paths, as the stars interact and collide.

Along with the program, there is a fairly large document that explains the
N-Body problem in a fair amount of detail. It doesn't get into the gory
details of the "real" N-body solvers, but it does give you an overview of
the techniques they use.

%package	xscreensaver
Summary:	XScreenSaver support for %{name}
Group:          Amusements/Graphics
Requires:	%{name} = %{version}-%{release}
Requires(post):		xscreensaver-base
Requires(postun):	xscreensaver-base

%description	xscreensaver
This package contains the files needed to use %{name} with XScreenSaver.


%prep
%setup -q


%build
xmkmf
make MANSRCSUFFIX=1 CC="%{__cc} $RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install install.man MANSRCSUFFIX=1 DESTDIR=$RPM_BUILD_ROOT

# XScreenSaver related
mkdir -p $RPM_BUILD_ROOT%{_datadir}/xscreensaver/hacks.conf.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/xscreensaver/config
install -c -p -m 644 %{SOURCE10} \
	$RPM_BUILD_ROOT%{_datadir}/xscreensaver/hacks.conf.d/
install -c -p -m 644 %{SOURCE11} \
	$RPM_BUILD_ROOT%{_datadir}/xscreensaver/config/


%clean
rm -rf $RPM_BUILD_ROOT

%post xscreensaver
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
	%{_sbindir}/update-xscreensaver-hacks || :
fi


%postun xscreensaver
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
	%{_sbindir}/update-xscreensaver-hacks || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/xstar
%{_mandir}/man1/xstar.1*
%doc n-body.ps COPYING README README.xgrav

%files xscreensaver
%defattr(-,root,root,-)
%{_datadir}/xscreensaver/config/%{name}.xml
%{_datadir}/xscreensaver/hacks.conf.d/%{name}.conf


%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.0-3
- Autorebuild for GCC 4.3

* Mon Dec 17 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 2.2.0-2
- Support XScreenSaver
- Honor Fedora specific compilaton flags

* Mon Dec 17 2007 Lubomir Kundrak <lkundrak@redhat.com> 2.2.0-1
- Initial package
